Skip to main content
GET
/
v1
/
crm
/
merchants
/
{merchantId}
/
terminal-setup
Get Merchant Terminal Setup
curl --request GET \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/terminal-setup \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mid": "<string>",
  "merchantName": "<string>",
  "merchantAddress": "<string>",
  "merchantCity": "<string>",
  "merchantState": "<string>",
  "merchantZip": "<string>",
  "merchantCountry": "<string>",
  "merchantContactName": "<string>",
  "merchantEmail": "<string>",
  "merchantPhoneNumber": "<string>",
  "mcc": "<string>",
  "currencyCode": "<string>",
  "timeZoneCode": "<string>",
  "timeZoneDifferential": "<string>",
  "groupId": "<string>",
  "associationNumber": "<string>",
  "bin": "<string>",
  "vNumber": "<string>",
  "agent": "<string>",
  "chain": "<string>",
  "terminalNumber": "<string>",
  "storeNumber": "<string>",
  "merchantNumber": "<string>",
  "amexNumber": "<string>",
  "amexOptBlue": true,
  "discoverNumber": "<string>",
  "fcsNumber": "<string>",
  "pinDebit": true,
  "ebtFoodStamps": true,
  "ebtCash": true,
  "merchantABANumber": "<string>",
  "merchantSettlementAgent": "<string>",
  "reimbursementAttribute": "<string>",
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required

Response

The terminal setup information for the merchant.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
mid
string
required
merchantName
string | null
required
merchantAddress
string | null
required
merchantCity
string | null
required
merchantState
string | null
required
merchantZip
string | null
required
merchantCountry
string | null
required
merchantContactName
string | null
required
merchantEmail
string | null
required
merchantPhoneNumber
string | null
required
mcc
string | null
required
currencyCode
string | null
required
timeZoneCode
string | null
required
timeZoneDifferential
string | null
required
groupId
string | null
required
associationNumber
string | null
required
bin
string | null
required
vNumber
string | null
required
agent
string | null
required
chain
string | null
required
terminalNumber
string | null
required
storeNumber
string | null
required
merchantNumber
string | null
required
amexNumber
string | null
required
amexOptBlue
boolean | null
required
discoverNumber
string | null
required
fcsNumber
string | null
required
pinDebit
boolean
required
ebtFoodStamps
boolean | null
required
ebtCash
boolean | null
required
merchantABANumber
string | null
required
merchantSettlementAgent
string | null
required
reimbursementAttribute
string | null
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$